<template>
    <div class="align-center form-group">
        <label v-bind:for="id">
            <div class="col-md-12 row ">
                <img v-bind:id="'img'+id" class="img-responsive img-circle form-control"
                     style="width:200px; height: 200px; border: 5px solid grey;" src="http://placehold.it/180"
                     alt="your image"/>
                <input type='file' v-bind:id="id" name="personnal_img[]" style="display: none;" class="inputimg"
                       ref="myfile" @change="readURL" required/>
                <input type="text" name="img_input[]" class=" col-md-10 m-t-10 w3-center form-control input-xs" placeholder="label de l'image" required/>
            </div>

        </label>
    </div>
</template>

<script>
    export default {
        name: "imgctrl",
        props: ['idctrl'],
        data() {
            return {
                id: this.idctrl
            }
        },
        methods: {
            readURL() {
                let input = this.$refs.myfile;
                if (input.files && input.files[0]) {
                    let reader = new FileReader();
                    let id = this.id;
                    reader.onload = function (e) {
                        console.log(id);
                        $('#img' + id).attr('src', e.target.result);
                    };

                    reader.readAsDataURL(input.files[0]);
                }
            }
        }

    }
</script>

<style scoped>

</style>